︠34f85baa-3261-4388-8786-2fce0aa4d5fdi︠
%html
<h2 style="color:blue">
    Bard - Sage - Area Function Demo
</h2>
︡2be4e556-ad3e-4fba-9f76-8bee26691dc1︡{"html":"<h2 style=\"color:blue\">\n    Bard - Sage - Area Function Demo\n</h2>\n"}︡
︠de8376e9-c554-41cd-8500-73b2ad226120i︠
%html

<ul>
    <li>Put the cursor in the code below, and then click on Run (the green square with the triangle in the middle of the menu above).</li>
    <li>You can change the function $f(x)$, the points $a$ and $b$, and the $x$-interval and $y$-interval.</li>
</ul>

︡c78eff2c-4679-4c76-9610-8ab7f4221736︡{"html":"\n<ul>\n    <li>Put the cursor in the code below, and then click on Run (the green square with the triangle in the middle of the menu above).</li>\n    <li>You can change the function $f(x)$, the points $a$ and $b$, and the $x$-interval and $y$-interval.</li>\n</ul>\n\n"}︡
︠d94c799c-6ea1-43d1-a812-11ab152876b9︠
x, y, z, t = var('x, y, z, t')
@interact
def _(
    f = input_box(default=sin(x)),
    a = input_box(default=0, label="a"),
    b = slider(0.1, 10, default=1, label="b"),
    xinterval = range_slider(-10, 10, 1, default=(-2, 10), label="x-interval"),
    yinterval = range_slider(-50, 50, 1, default=(-2, 2), label="y-interval"),
    aspect_ratio = ("Aspect Ratio 1", False),
    ):
        x_min, x_max = map(QQ, xinterval)
        y_min, y_max = map(QQ, yinterval)
        #exactarea = n(integral(f, x, a, b))
        exactarea = numerical_integral(f, a, b)[0]
        g = integral(f, x)
        h = g - g(a)
        k = Piecewise([[(x_min,a),0],[(a,b),h],[(b,x_max),0]])
        m = Piecewise([[(x_min,a),0],[(a,b),f],[(b,x_max),0]])

        apr = (x_max - x_min)/(y_max - y_min)
        plf = plot(f, x_min, x_max, ymin = y_min, ymax = y_max)
        plh = plot(h, x_min, x_max, ymin = y_min, ymax = y_max)
        plk = plot(k, xmin = x_min, xmax = x_max, ymin = y_min, ymax = y_max)
        plm = plot(m, xmin = x_min, xmax = x_max, ymin = y_min, ymax = y_max, fill = 0, fillcolor = 'red', fillalpha = 0.5)
        lna = line([(a, y_min),(a, y_max)], linestyle = "dashed", color = 'purple', alpha = 0.5)
        lnb = line([(b, y_min),(b, y_max)], linestyle = "dashed", color = 'purple', alpha = 0.5)
        html(r'''
        <div class="math">
        \begin{align*}
        f(x) &= %s \\\
        a &= %s \\\
        b &= %s \\\
        \text{Area} &= %s
        \end{align*}
        </div>
        ''' % (latex(f), a, b, exactarea))
        if aspect_ratio == True:
            show(plf + plm + lna + lnb, aspect_ratio=1, figsize=8)
            show(plk + lna + lnb, aspect_ratio=1, figsize=8)
        else:
            show(plf + plm + lna + lnb, aspect_ratio=apr, figsize=8)
            show(plk + lna + lnb, aspect_ratio=apr, figsize=8);
︡9cf3304c-3f22-489e-a2a9-207180bc95ca︡{"interact":{"style":"None","flicker":false,"layout":[[["f",12,null]],[["a",12,null]],[["b",12,null]],[["xinterval",12,null]],[["yinterval",12,null]],[["aspect_ratio",12,null]],[["",12,null]]],"id":"5abda8db-da0b-424f-b30d-c4ec00da7d4d","controls":[{"control_type":"input-box","default":"sin(x)","label":"f","nrows":1,"width":null,"readonly":false,"submit_button":null,"var":"f","type":null},{"control_type":"input-box","default":0,"label":"a","nrows":1,"width":null,"readonly":false,"submit_button":null,"var":"a","type":null},{"control_type":"slider","default":45,"var":"b","width":null,"vals":["0.100000000000000","0.119800000000000","0.139600000000000","0.159400000000000","0.179200000000000","0.199000000000000","0.218800000000000","0.238600000000000","0.258400000000000","0.278200000000000","0.298000000000000","0.317800000000000","0.337600000000000","0.357400000000000","0.377200000000000","0.397000000000000","0.416800000000000","0.436600000000000","0.456400000000000","0.476200000000000","0.496000000000000","0.515800000000000","0.535600000000000","0.555400000000000","0.575200000000000","0.595000000000000","0.614800000000000","0.634600000000000","0.654400000000000","0.674200000000000","0.694000000000000","0.713800000000000","0.733600000000000","0.753400000000000","0.773200000000000","0.793000000000000","0.812800000000001","0.832600000000001","0.852400000000001","0.872200000000001","0.892000000000001","0.911800000000001","0.931600000000001","0.951400000000001","0.971200000000001","0.991000000000001","1.01080000000000","1.03060000000000","1.05040000000000","1.07020000000000","1.09000000000000","1.10980000000000","1.12960000000000","1.14940000000000","1.16920000000000","1.18900000000000","1.20880000000000","1.22860000000000","1.24840000000000","1.26820000000000","1.28800000000000","1.30780000000000","1.32760000000000","1.34740000000000","1.36720000000000","1.38700000000000","1.40680000000000","1.42660000000000","1.44640000000000","1.46620000000000","1.48600000000000","1.50580000000000","1.52560000000000","1.54540000000000","1.56520000000000","1.58500000000000","1.60480000000000","1.62460000000000","1.64440000000000","1.66420000000000","1.68400000000000","1.70380000000000","1.72360000000000","1.74340000000000","1.76320000000000","1.78300000000000","1.80280000000000","1.82260000000000","1.84240000000000","1.86220000000000","1.88200000000000","1.90180000000000","1.92160000000000","1.94140000000000","1.96120000000000","1.98100000000000","2.00080000000000","2.02060000000000","2.04040000000000","2.06020000000000","2.08000000000000","2.09980000000000","2.11960000000000","2.13940000000000","2.15920000000000","2.17900000000000","2.19880000000000","2.21860000000000","2.23840000000000","2.25820000000000","2.27800000000000","2.29780000000000","2.31760000000000","2.33740000000000","2.35720000000000","2.37700000000000","2.39680000000000","2.41660000000000","2.43640000000000","2.45620000000000","2.47600000000000","2.49580000000000","2.51560000000000","2.53540000000000","2.55520000000000","2.57500000000000","2.59480000000000","2.61460000000000","2.63440000000000","2.65420000000000","2.67400000000000","2.69380000000000","2.71360000000000","2.73340000000000","2.75320000000000","2.77300000000000","2.79280000000000","2.81260000000000","2.83240000000000","2.85220000000000","2.87200000000000","2.89180000000000","2.91160000000000","2.93140000000000","2.95120000000000","2.97100000000000","2.99080000000000","3.01060000000000","3.03040000000000","3.05020000000000","3.07000000000000","3.08980000000000","3.10960000000000","3.12940000000000","3.14920000000000","3.16900000000000","3.18880000000000","3.20860000000001","3.22840000000001","3.24820000000001","3.26800000000001","3.28780000000001","3.30760000000001","3.32740000000001","3.34720000000001","3.36700000000001","3.38680000000001","3.40660000000001","3.42640000000001","3.44620000000001","3.46600000000001","3.48580000000001","3.50560000000001","3.52540000000001","3.54520000000001","3.56500000000001","3.58480000000001","3.60460000000001","3.62440000000001","3.64420000000001","3.66400000000001","3.68380000000001","3.70360000000001","3.72340000000001","3.74320000000001","3.76300000000001","3.78280000000001","3.80260000000001","3.82240000000001","3.84220000000001","3.86200000000001","3.88180000000001","3.90160000000001","3.92140000000001","3.94120000000001","3.96100000000001","3.98080000000001","4.00060000000001","4.02040000000001","4.04020000000001","4.06000000000001","4.07980000000001","4.09960000000001","4.11940000000001","4.13920000000001","4.15900000000001","4.17880000000001","4.19860000000001","4.21840000000001","4.23820000000001","4.25800000000001","4.27780000000001","4.29760000000001","4.31740000000001","4.33720000000001","4.35700000000001","4.37680000000001","4.39660000000001","4.41640000000001","4.43620000000001","4.45600000000001","4.47580000000001","4.49560000000001","4.51540000000001","4.53520000000001","4.55500000000001","4.57480000000001","4.59460000000001","4.61440000000001","4.63420000000001","4.65400000000001","4.67380000000001","4.69360000000001","4.71340000000001","4.73320000000001","4.75300000000001","4.77280000000001","4.79260000000001","4.81240000000001","4.83220000000001","4.85200000000001","4.87180000000001","4.89160000000001","4.91140000000001","4.93120000000001","4.95100000000001","4.97080000000001","4.99060000000001","5.01040000000001","5.03020000000001","5.05000000000001","5.06980000000001","5.08960000000001","5.10940000000001","5.12920000000001","5.14900000000001","5.16880000000001","5.18860000000001","5.20840000000001","5.22820000000001","5.24800000000001","5.26780000000001","5.28760000000001","5.30740000000001","5.32720000000001","5.34700000000001","5.36680000000001","5.38660000000001","5.40640000000001","5.42620000000001","5.44600000000001","5.46580000000001","5.48560000000001","5.50540000000001","5.52520000000001","5.54500000000001","5.56480000000001","5.58460000000001","5.60440000000001","5.62420000000001","5.64400000000001","5.66380000000001","5.68360000000001","5.70340000000001","5.72320000000001","5.74300000000001","5.76280000000001","5.78260000000001","5.80240000000001","5.82220000000001","5.84200000000001","5.86180000000001","5.88160000000001","5.90140000000001","5.92120000000001","5.94100000000001","5.96080000000001","5.98060000000001","6.00040000000001","6.02020000000001","6.04000000000001","6.05980000000001","6.07960000000001","6.09940000000001","6.11920000000001","6.13900000000001","6.15880000000001","6.17860000000001","6.19840000000001","6.21820000000001","6.23800000000001","6.25780000000001","6.27760000000001","6.29740000000001","6.31720000000001","6.33700000000001","6.35680000000001","6.37660000000001","6.39640000000001","6.41620000000001","6.43600000000001","6.45580000000001","6.47560000000001","6.49540000000001","6.51520000000001","6.53500000000001","6.55480000000001","6.57460000000001","6.59440000000001","6.61420000000001","6.63400000000001","6.65380000000001","6.67360000000001","6.69340000000001","6.71320000000001","6.73300000000001","6.75280000000001","6.77260000000001","6.79240000000001","6.81220000000001","6.83200000000001","6.85180000000001","6.87160000000001","6.89140000000001","6.91120000000001","6.93100000000001","6.95080000000001","6.97060000000001","6.99040000000001","7.01020000000001","7.03000000000001","7.04980000000001","7.06960000000001","7.08940000000001","7.10920000000001","7.12900000000001","7.14880000000001","7.16860000000001","7.18840000000001","7.20820000000001","7.22800000000001","7.24780000000001","7.26760000000001","7.28740000000001","7.30720000000001","7.32700000000001","7.34680000000001","7.36660000000001","7.38640000000001","7.40620000000001","7.42600000000001","7.44580000000001","7.46560000000001","7.48540000000001","7.50520000000001","7.52500000000001","7.54480000000001","7.56460000000001","7.58440000000001","7.60420000000001","7.62400000000001","7.64380000000001","7.66360000000001","7.68340000000001","7.70320000000001","7.72300000000001","7.74280000000001","7.76260000000001","7.78240000000001","7.80220000000001","7.82200000000001","7.84180000000001","7.86160000000001","7.88140000000001","7.90120000000001","7.92100000000001","7.94080000000001","7.96060000000001","7.98040000000001","8.00020000000001","8.02000000000001","8.03980000000001","8.05960000000001","8.07940000000001","8.09920000000001","8.11900000000001","8.13880000000001","8.15860000000001","8.17840000000001","8.19820000000001","8.21800000000001","8.23780000000001","8.25760000000001","8.27740000000001","8.29720000000001","8.31700000000001","8.33680000000001","8.35660000000001","8.37640000000001","8.39620000000001","8.41600000000001","8.43580000000001","8.45560000000001","8.47540000000001","8.49520000000001","8.51500000000001","8.53480000000001","8.55460000000001","8.57440000000001","8.59420000000001","8.61400000000001","8.63380000000002","8.65360000000002","8.67340000000002","8.69320000000002","8.71300000000002","8.73280000000002","8.75260000000002","8.77240000000002","8.79220000000002","8.81200000000002","8.83180000000002","8.85160000000002","8.87140000000002","8.89120000000002","8.91100000000002","8.93080000000002","8.95060000000002","8.97040000000002","8.99020000000002","9.01000000000002","9.02980000000002","9.04960000000002","9.06940000000002","9.08920000000002","9.10900000000002","9.12880000000002","9.14860000000002","9.16840000000002","9.18820000000002","9.20800000000002","9.22780000000002","9.24760000000002","9.26740000000002","9.28720000000002","9.30700000000002","9.32680000000002","9.34660000000002","9.36640000000002","9.38620000000002","9.40600000000002","9.42580000000002","9.44560000000002","9.46540000000002","9.48520000000002","9.50500000000002","9.52480000000002","9.54460000000002","9.56440000000002","9.58420000000002","9.60400000000002","9.62380000000002","9.64360000000002","9.66340000000002","9.68320000000002","9.70300000000002","9.72280000000002","9.74260000000002","9.76240000000002","9.78220000000002","9.80200000000002","9.82180000000002","9.84160000000002","9.86140000000002","9.88120000000002","9.90100000000002","9.92080000000002","9.94060000000002","9.96040000000002","9.98020000000002","10.0000000000000"],"animate":true,"label":"b","display_value":true},{"control_type":"range-slider","default":[8,20],"var":"xinterval","width":null,"vals":["-10","-9","-8","-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7","8","9","10"],"animate":true,"label":"x-interval","display_value":true},{"control_type":"range-slider","default":[48,52],"var":"yinterval","width":null,"vals":["-50","-49","-48","-47","-46","-45","-44","-43","-42","-41","-40","-39","-38","-37","-36","-35","-34","-33","-32","-31","-30","-29","-28","-27","-26","-25","-24","-23","-22","-21","-20","-19","-18","-17","-16","-15","-14","-13","-12","-11","-10","-9","-8","-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31","32","33","34","35","36","37","38","39","40","41","42","43","44","45","46","47","48","49","50"],"animate":true,"label":"y-interval","display_value":true},{"default":false,"var":"aspect_ratio","readonly":false,"control_type":"checkbox","label":"Aspect Ratio 1"}]}}︡
︠b5cd6c28-94d7-41a1-a0d6-3442ac85e098︠
︡3e1e49a1-ba61-48a5-9d16-7f84400b4a6f︡
︠75c06ab0-3e4a-4c6f-ab4b-69a1ef02e67a︠
y = var('y');
@interact
def _(
    f = input_box(default = x^2, label = "$f(x)$"),
    xinterval=range_slider(-20, 20, 1, default = (-5, 5), label = "$x$-interval"),
    yinterval=range_slider(-800, 800, 1, default = (-30, 30), label = "$y$-interval"),
    aspect_ratio = ("Aspect Ratio 1", False),
    ):
        x_min, x_max = map(QQ, xinterval);
        y_min, y_max = map(QQ, yinterval);
        if aspect_ratio == True:
            plt = plot(f, x, xmin = x_min, xmax = x_max, ymin = y_min, ymax = y_max, aspect_ratio=1);
        else:
            plt = plot(f, x, xmin = x_min, xmax = x_max, ymin = y_min, ymax = y_max);
        html(r'$$z = %s$$'% (latex(f)));
        show(plt)
︠f2cce214-e723-4a2b-92c0-2588a15aa810︠









